DIPlib Documentation - ©1995-2009 Quantitative Imaging Group, Delft University of Technology.

# SmallObjectsRemove

Remove small objects from an image

## SYNOPSIS

`#include "dip_measurement.h"` `#include "dip_point.h"`

dip_Error dip_SmallObjectsRemove ( in, out, threshold )

## DATA TYPES

integer

## FUNCTION

This function removes from the labeled image `in` those objects whose size (measured in the number of pixels) is smaller than `threshold`.

## ARGUMENTS

Data type | Name | Description
`dip_Image` | `in` | Input image
`dip_Image` | `out` | Output image
`dip_int` | `threshold` | Minimum object size

## SEE ALSO

`Measure`, `ObjectToMeasurement`, `Label`

DIPlib on-line documentation | Function reference | Global function index